<?php
declare(strict_types=1);

namespace App\Repositories;

interface GalleryRepository
{
    public function all(array $filters = []): array;
    public function find(string $id): ?array;
    public function save(array $item): array;
    public function delete(string $id): void;
}
